Skip to main content
GET
List tasks

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

workspaceId
string
required

Workspace id from list_workspaces.

Required string length: 1 - 64

Query Parameters

status
string
default:todo

Status key from list_workspace_statuses. New tasks start in the column keyed 'todo'.

Required string length: 1 - 64
assigneeUserId
string

Only tasks assigned to this user.

Required string length: 1 - 64
tag
string

Only tasks with this tag name.

Required string length: 1 - 100
unassignedOnly
boolean

Only tasks nobody is assigned to.

cursor
string

Pagination cursor from a previous response's nextCursor. Omit for the first page.

Maximum string length: 2000
limit
integer
default:20

Maximum results to return (default 20, max 50).

Required range: 1 <= x <= 50

Response

Success

The response is of type object.